List all automation rules in an account
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/automation_rules \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/automation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/automation_rules"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"account_id": 123,
"name": "Add label on message create event",
"description": "Add label support and sales on message create event if incoming message content contains text help",
"event_name": "message_created",
"conditions": [
{
"attribute_key": "content",
"filter_operator": "contains",
"values": [
"help"
],
"query_operator": "and"
}
],
"actions": [
{
"action_name": "add_label",
"action_params": [
"support",
"sales"
]
}
],
"created_on": 123,
"active": true
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Automation Rule
List all automation rules in an account
Get details of automation rules in an Account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
automation_rules
List all automation rules in an account
curl --request GET \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/automation_rules \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/automation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/automation_rules"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"account_id": 123,
"name": "Add label on message create event",
"description": "Add label support and sales on message create event if incoming message content contains text help",
"event_name": "message_created",
"conditions": [
{
"attribute_key": "content",
"filter_operator": "contains",
"values": [
"help"
],
"query_operator": "and"
}
],
"actions": [
{
"action_name": "add_label",
"action_params": [
"support",
"sales"
]
}
],
"created_on": 123,
"active": true
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
The page parameter
Response
Success
- object[]
- object
Show child attributes
Show child attributes